#!/bin/pwsh
. "$PSScriptRoot/Manage.ps1";
. "$PSScriptRoot/Upgrade.ps1";
. "$PSScriptRoot/User.ps1";
. "$PSScriptRoot/../Scripts/Context.ps1";

function Invoke-WindowsInstallation([Context] $context)
{
    Write-Host "Starting Installation and Restoration of Windows";
    . "$PSScriptRoot/../Scripts/Prerequisites.ps1";
    Update-WindowsInstallation $context;
    New-PersonalUser $context;
    Restore-WindowsInstallation $context;
}
