#!/bin/pwsh
. "$PSScriptRoot/../../Scripts/Context.ps1";

$null = New-Module {
    $path = "$env:PUBLIC/Documents/reWASD";
    $softwareName = "reWASD";

    function Backup-reWASD([Context] $context) {
        Write-Host "Backing up reWASD";
        $context.Backup($path, $context.SoftwareArchive($softwareName), @("-x@`"$PSScriptRoot/exclude.txt`""));
    }

    function Restore-reWASD([Context] $context) {
        Write-Host "Restoring reWASD";
        Read-Host "Please hit enter once you have installed reWASD";
        $context.Restore($context.SoftwareArchive($softwareName), $path);
    }
}
